---
script: vis-receive
data-product-storage:
  name: 'data-product-pvc'
  mountPath: '/data'
env:
- name: SDP_KAFKA_HOST
  value: localhost:9092
- name: SDP_CONFIG_HOST
  value: 127.0.0.1
- name: SDP_CONFIG_PORT
  value: "2379"
podSettings:
- extraMetadata:
    annotations:
      k8s.v1.cni.cncf.io/networks: '[{"namespace": "kube-system", "name": "nad-test", "ips": ["10.20.0.2/24"]}]'
processors:
- name: "mswriter-processor"
  image: "artefact.skao.int/ska-sdp-realtime-receive-processors"
  version: "3.0.0"
  args:
  - "realtime.receive.processors.sdp.mswriter_processor.MSWriterProcessor"
  - "--plasma_socket"
  - "/plasma/socket"
  - "--readiness-file"
  - "/tmp/processor_ready"
  - "output.ms"
  readinessProbe:
    file: "/tmp/processor_ready"
- name: "signal-display-metrics-0"
  image: "artefact.skao.int/ska-sdp-realtime-receive-processors"
  version: "3.0.0"
  command:
  - "plasma-processor"
  - "realtime.receive.processors.sdp.metrics.signal_display_metrics.SignalDisplayMetrics"
  - "--plasma_socket"
  - "/plasma/socket"
  - "--readiness-file"
  - "/tmp/processor_ready"
  - "--use-sdp-metadata"
  - "False"
  - "--metrics"
  - "stats"
  readinessProbe:
    file: "/tmp/processor_ready"
receiver:
  version: "6.0.0"
  instances: 1
  portStart: 21000
  streams: 2
  options:
    reception:
      continuous_mode: true
      stats_receiver_kafka_config: "localhost:9092:metrics-receiverstats-01"
      transport_protocol: udp
    scan_provider:
      execution_block_id: 'eb-test-20210630-00000'
    sdp_config_db:
      host: 127.0.0.1
      port: 2379
    telescope_model:
      execution_block_id: 'eb-test-20210630-00000'
      telmodel_key: instrument/ska1_low/layout/low-layout.json
    uvw:
      disable_astropy_iers_autodownload: true